API Reference
Check In
5 endpoints· Auth: JWT or API Key
get
/api/v1/console/hr/attendance/evidence JWT API KeyGet evidence
Query parameters
| EmployeeId string (uuid) | — |
| Status string | — |
| Dispute string | — |
| From string (date) | — |
| To string (date) | — |
| Page integer (int32) | — |
| PerPage integer (int32) | — |
| Search string | — |
| Skip integer (int32) | — |
| Sort string | — |
| Dir string | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/hr/attendance/evidence" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Query parameters
Set credentials in the “Authorize” menu
post
/api/v1/console/hr/attendance/evidence JWT API KeyCreate evidence
Request body
application/json
{
"sessionId": "00000000-0000-0000-0000-000000000000",
"employeeId": "00000000-0000-0000-0000-000000000000",
"mode": "In",
"capturedAt": "2026-09-30T18:07:53.919Z",
"image": "string",
"faceMatchPct": 0,
"faceCount": 0,
"overlay": {
"code": "string",
"date": "string",
"time": "string"
},
"device": "string",
"gps": "string"
}| sessionId string (uuid) | — |
| employeeId string (uuid) | — |
| mode AttendanceMode | — |
| capturedAt string (date-time) | — |
| image string | — |
| faceMatchPct number (double) | — |
| faceCount integer (int32) | — |
| overlay CheckInOverlayInfo | — |
| device string | — |
| gps string | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/hr/attendance/evidence" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"sessionId": "00000000-0000-0000-0000-000000000000",
"employeeId": "00000000-0000-0000-0000-000000000000",
"mode": "In",
"capturedAt": "2026-09-30T18:07:53.919Z",
"image": "string",
"faceMatchPct": 0,
"faceCount": 0,
"overlay": {
"code": "string",
"date": "string",
"time": "string"
},
"device": "string",
"gps": "string"
}' Try itagainst staging · https://staging-api.panoptesos.com
Request body (JSON)
Set credentials in the “Authorize” menu
post
/api/v1/console/hr/attendance/evidence/{id}/decision JWT API KeyCreate decision
Path parameters
| idrequired string (uuid) | — |
Request body
application/json
{
"decision": "string",
"reason": "string"
}| decision string | — |
| reason string | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/hr/attendance/evidence/{id}/decision" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"decision": "string",
"reason": "string"
}' Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Request body (JSON)
Set credentials in the “Authorize” menu
post
/api/v1/console/hr/attendance/evidence/{id}/dispute JWT API KeyCreate dispute
Path parameters
| idrequired string (uuid) | — |
Request body
application/json
{
"dispute": "string",
"note": "string"
}| dispute string | — |
| note string | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/hr/attendance/evidence/{id}/dispute" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"dispute": "string",
"note": "string"
}' Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Request body (JSON)
Set credentials in the “Authorize” menu
post
/api/v1/console/hr/attendance/sessions JWT API KeyCreate sessions
Request body
application/json
{
"employeeId": "00000000-0000-0000-0000-000000000000",
"mode": "In"
}| employeeId string (uuid) | — |
| mode AttendanceMode | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/hr/attendance/sessions" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"employeeId": "00000000-0000-0000-0000-000000000000",
"mode": "In"
}' Try itagainst staging · https://staging-api.panoptesos.com
Request body (JSON)
Set credentials in the “Authorize” menu